> ## Documentation Index
> Fetch the complete documentation index at: https://docs.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Markets

> Query Kalshi markets with filtering, sorting, and pagination

Fetch Kalshi prediction markets with filtering, sorting, and pagination. Does not include Multi Variate Event (MVE) markets like parlays.

<Tip>**Free & Unlimited.** This endpoint does not count toward your monthly usage limits on any plan.</Tip>

| Constraint | Value              |
| ---------- | ------------------ |
| `limit`    | 1–100 (default 20) |

<Note>Prices are returned as decimals (0–1), not cents.</Note>


## OpenAPI

````yaml GET /v2/kalshi/markets
openapi: 3.1.0
info:
  title: Predexon API
  description: Prediction market data aggregation and matching API
  version: 2.0.0
servers:
  - url: https://api.predexon.com
security:
  - apiKey: []
paths:
  /v2/kalshi/markets:
    get:
      tags:
        - kalshi
      summary: Get Kalshi Markets
      description: >-
        List Kalshi markets with filtering and sorting.


        Returns markets from the Kalshi prediction market platform with support
        for:

        - Status filtering (open, closed)

        - Price range filtering (0-100 scale)

        - Volume and open interest thresholds

        - Text search in titles

        - Filtering by ticker, event ticker, or series ticker

        - Multiple sort options

        - Cursor-based pagination via pagination_key


        Prices are returned as decimals (0-1) for API consistency.
      operationId: get_kalshi_markets_v2_kalshi_markets_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/StatusOption'
              - type: 'null'
            description: 'Filter by status: open or closed'
            title: Status
          description: 'Filter by status: open or closed'
        - name: min_price
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 0
              - type: 'null'
            description: Minimum last price (0-100)
            title: Min Price
          description: Minimum last price (0-100)
        - name: max_price
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 0
              - type: 'null'
            description: Maximum last price (0-100)
            title: Max Price
          description: Maximum last price (0-100)
        - name: min_open_interest
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Minimum dollar open interest
            title: Min Open Interest
          description: Minimum dollar open interest
        - name: min_volume
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Minimum dollar volume
            title: Min Volume
          description: Minimum dollar volume
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 3
                maxLength: 100
              - type: 'null'
            description: Search in title (minimum 3 characters)
            title: Search
          description: Search in title (minimum 3 characters)
        - name: ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 50
              - type: 'null'
            description: Filter by ticker(s)
            title: Ticker
          description: Filter by ticker(s)
        - name: event_ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 50
              - type: 'null'
            description: Filter by event ticker(s)
            title: Event Ticker
          description: Filter by event ticker(s)
        - name: series_ticker
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 50
              - type: 'null'
            description: Filter by series ticker(s)
            title: Series Ticker
          description: Filter by series ticker(s)
        - name: predexon_id
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 50
              - type: 'null'
            description: Filter by predexon ID(s)
            title: Predexon Id
          description: Filter by predexon ID(s)
        - name: sort
          in: query
          required: false
          schema:
            $ref: >-
              #/components/schemas/app__api__v1__kalshi__markets_list__SortOption
            description: Sort by
            default: volume
          description: Sort by
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of markets to return
            default: 20
            title: Limit
          description: Number of markets to return
        - name: pagination_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for next page (from previous response)
            title: Pagination Key
          description: Cursor for next page (from previous response)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KalshiMarketsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StatusOption:
      type: string
      enum:
        - open
        - closed
      title: StatusOption
    app__api__v1__kalshi__markets_list__SortOption:
      type: string
      enum:
        - volume
        - open_interest
        - price_desc
        - price_asc
        - close_time
      title: SortOption
    KalshiMarketsResponse:
      properties:
        markets:
          items:
            $ref: '#/components/schemas/KalshiMarket'
          type: array
          title: Markets
        pagination:
          $ref: '#/components/schemas/CursorPagination'
      type: object
      required:
        - markets
        - pagination
      title: KalshiMarketsResponse
      description: Response for Kalshi markets list endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KalshiMarket:
      properties:
        ticker:
          type: string
          title: Ticker
        event_ticker:
          type: string
          title: Event Ticker
        market_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Market Id
        title:
          type: string
          title: Title
        yes_subtitle:
          type: string
          title: Yes Subtitle
          default: ''
        no_subtitle:
          type: string
          title: No Subtitle
          default: ''
        status:
          type: string
          title: Status
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
        open_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Open Time
          description: ISO 8601 timestamp
        close_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Close Time
          description: ISO 8601 timestamp
        expected_expiration_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Expiration Time
          description: ISO 8601 timestamp
        settlement_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Settlement Time
          description: ISO 8601 timestamp
        determination_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Determination Time
          description: ISO 8601 timestamp
        can_close_early:
          type: boolean
          title: Can Close Early
          default: false
        strike_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Strike Type
        custom_strike:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Strike
        outcomes:
          items:
            $ref: '#/components/schemas/KalshiOutcome'
          type: array
          title: Outcomes
        last_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Price
        volume:
          type: integer
          title: Volume
          default: 0
        open_interest:
          type: integer
          title: Open Interest
          default: 0
        dollar_volume:
          type: integer
          title: Dollar Volume
          default: 0
        dollar_open_interest:
          type: integer
          title: Dollar Open Interest
          default: 0
        event:
          $ref: '#/components/schemas/KalshiEvent'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: ISO 8601 timestamp
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
          description: ISO 8601 timestamp
      type: object
      required:
        - ticker
        - event_ticker
        - title
        - status
        - outcomes
        - event
      title: KalshiMarket
      description: Kalshi market in list response.
    CursorPagination:
      properties:
        limit:
          type: integer
          title: Limit
          description: Requested limit
        count:
          type: integer
          title: Count
          description: Number of items in current response
        pagination_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Pagination Key
          description: Base64-encoded cursor for next page
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more items available
      type: object
      required:
        - limit
        - count
        - has_more
      title: CursorPagination
      description: Cursor-based pagination for endpoints that don't support offset.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    KalshiOutcome:
      properties:
        label:
          type: string
          title: Label
        predexon_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Predexon Id
        bid:
          anyOf:
            - type: number
            - type: 'null'
          title: Bid
        ask:
          anyOf:
            - type: number
            - type: 'null'
          title: Ask
      type: object
      required:
        - label
      title: KalshiOutcome
      description: Outcome for a Kalshi market.
    KalshiEvent:
      properties:
        event_ticker:
          type: string
          title: Event Ticker
        series_ticker:
          anyOf:
            - type: string
            - type: 'null'
          title: Series Ticker
        title:
          type: string
          title: Title
          default: ''
        subtitle:
          type: string
          title: Subtitle
          default: ''
      type: object
      required:
        - event_ticker
      title: KalshiEvent
      description: Event info nested in Kalshi market.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````